# capsul

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/capsul/status.svg?ref=refs/heads/main)](https://drone.autonomic.zone/coop-cloud/capsul)

Simple, fast, private compute. https://capsul.org

<!-- metadata -->
* **Category**: Apps
* **Status**: ❸🍎
* **Image**: [`3wordchant/capsul-flask`](https://hub.docker.com/r/3wordchant/capsul-flask), ❹💣, own
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: ❶💚
* **Tests**: ❷💛
* **SSO**: No
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new capsul-flask --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Open the configured domain in your browser to finish set-up

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
